Demote a coordinator
- POST /platform/infrastructure/coordinators/{coordinator_id}/_demote
Demotes a coordinator and removes Zookeeper from the host.
Path Parameters
-
coordinator_idstringrequired -
The identifier for the coordinator
Responses
Accepted demote of coordinator.
Response Type: EmptyResponse
The coordinator specified by {coordinator_id} could not be demoted. (code: coordinators.coordinator_demote_failed)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Unable to find the coordinator {coordinator_id}. Edit your request, then try again. (code: coordinators.coordinator_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response